/*---- NUMBER OF SLIDE CONFIGURATION ----*/
$num-of-slide: 5;



.wrapper {
    max-width: 60em;
    margin: 1em auto;
    position: relative;
}

input {
    display: none;
}

.inner {
    width: percentage($num-of-slide);
    line-height: 0;
}

article {
    width: percentage(1/$num-of-slide);
    float: left;
    position: relative;

    img {
        width: 100%;
    }
}

/*---- SET UP CONTROL ----*/
.slider-prev-next-control {
    height: 50px;
    position: absolute;
    top: 50%;
    width: 100%;
    @include transform(translateY(-50%));

    label {
        display: none;
        width: 40px;
        height: 40px;
        border-radius: 50%;
        background: #fff;
        opacity: 0.7;

        &:hover {
            opacity: 1;
        }
    }
}

.slider-dot-control {
    position: absolute;
    width: 100%;
    bottom: 0;
    text-align: center;

    label {
        cursor: pointer;
        border-radius: 5px;
        display: inline-block;
        width: 10px;
        height: 10px;
        background: #bbb;
        @include transition(all 0.3s);

        &:hover {
            background: #ccc;
            border-color: #777;
        }
    }
}

/* Info Box */
.info {
    position: absolute;
    font-style: italic;
    line-height: 20px;
    opacity: 0;
    color: #000;
    text-align: left;
    @include transition(all 1000ms ease-out 600ms);

    h3 {
        color: #fcfff4;
        margin: 0 0 5px;
        font-weight: normal;
        font-size: 1.5em;
        font-style: normal;
    }

    &.top-left {
        top: 30px;
        left: 30px;
    }

    &.top-right {
        top: 30px;
        right: 30px;
    }

    &.bottom-left {
        bottom: 30px;
        left: 30px;
    }

    &.bottom-right {
        bottom: 30px;
        right: 30px;
    }
}

/* Slider Styling */
.slider-wrapper {
    width: 100%;
    overflow: hidden;
    border-radius: 5px;
    box-shadow: 1px 1px 4px #666;
    background: #fff;
    background: #fcfff4;
    @include transform(translateZ(0));
    @include transition(all 500ms ease-out);

    .inner {
        @include transform(translateZ(0));
        @include transition(all 800ms cubic-bezier(0.77, 0, 0.175, 1));
    }
}

/*---- SET POSITION FOR SLIDE ----*/
%bind-prev-next-button {
    font-family: FontAwesome;
    font-style: normal;
    font-weight: normal;
    text-decoration: inherit;
    margin: 0;
    line-height: 38px;
    font-size: 3em;
    display: block;
    color: #777;
}

%bind-next-button {
    @extend %bind-prev-next-button;
    content: "\f105";
    padding-left: 15px;
}

%bind-next-label {
    display: block;
    float: right;
    margin-right: 5px;
}

%bind-prev-label {
    display: block;
    float: left;
    margin-left: 5px;
}

%bind-prev-button {
    @extend %bind-prev-next-button;
    content: "\f104";
    padding-left: 8px;
}

%bind-background-active-dot {
    background: #333;
}

%bind-opacity-info {
    opacity: 1;
}

@for $i from 1 through $num-of-slide {
    #slide#{$i}:checked {
        & ~ .slider-wrapper .inner {
            margin-left: percentage(1 - $i);
        }

        & ~ .slider-dot-control label:nth-child(#{$i}) {
            @extend %bind-background-active-dot;
        }

        & ~ .slider-wrapper article:nth-child(#{$i}) .info {
            @extend %bind-opacity-info;
        }
    }
}

@for $i from 1 through ($num-of-slide - 1) {
    #slide#{$i}:checked {
        & ~ .slider-prev-next-control label:nth-child(#{$i +1}) {
            @extend %bind-next-label;

            &::after {
                @extend %bind-next-button;
            }
        }
    }
}

#slide#{$num-of-slide}:checked ~ .slider-prev-next-control label:nth-child(1) {
    @extend %bind-next-label;

    &::after {
        @extend %bind-next-button;
    }
}

@for $i from 2 through $num-of-slide {
    #slide#{$i}:checked {
        & ~ .slider-prev-next-control label:nth-child(#{$i - 1}) {
            @extend %bind-prev-label;

            &::after {
                @extend %bind-prev-button;
            }
        }
    }
}

#slide#{1}:checked ~ .slider-prev-next-control label:nth-child(#{$num-of-slide}) {
    @extend %bind-prev-label;

    &::after {
        @extend %bind-prev-button;
    }
}

/*---- TABLET ----*/
@media only screen and (max-width: 850px) and (min-width: 450px) {
    .slider-wrapper {
        border-radius: 0;
    }
}

/*---- MOBILE----*/
@media only screen and (max-width: 450px) {
    .slider-wrapper {
        border-radius: 0;
    }

    .slider-wrapper .info {
        opacity: 0;
    }
}

@media only screen and (min-width: 850px) {
    body {
        padding: 0 80px;
    }
}

html {
    margin: auto;
    width: 100%;
    max-width: 1400px;
}

/* mixin for multiline */
.block-with-text {
    display: block;
    text-align: left;
    display: -webkit-box;
    max-width: 400px;
    margin: 0 auto;
    line-height: 1.4;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.expand{
    text-align: left;
    cursor:pointer;
    line-height: 1.4;
}

.img_expand{
    cursor:pointer;
}

.box{
	text-align:center !important;
}

.box h3{
	margin-bottom:15px;
}

.box.post a{
    background-color: azure;
}

.jssor_cust{
    position:relative;
    margin:0 auto;
    top:0px;
    left:0px;
    width:1300px;
    height:484px;
    overflow:hidden;
    visibility:hidden;
}

/*jssor slider loading skin spin css*/
.jssorl-009-spin img {
    animation-name: jssorl-009-spin;
    animation-duration: 1.6s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}

@keyframes jssorl-009-spin {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(360deg);
    }
}

.cookie_use{
    width:100%; 
    position: fixed; 
    bottom:0px; 
    box-shadow: 0px 0 10px 0 #FFFFFF; 
    background: #000000; 
    z-index: 9999; 
    font-size: 16px; 
    line-height: 1.3em; 
    font-family: arial; 
    left: 0px; 
    text-align:center; 
    color:#FFF; 
    opacity: 0.7;
    padding-top: 30px;
}

.cookie_bt{
    display: block;
    text-align: center;
    padding: 2px 5px;
    border-radius: 2px;
    color: #000000;
    background: #FFFFFF;cursor: pointer;
    width:90px;
    height: 25px;
}

.debug_trans
{
    /*margin-top: -55px;*/
    color: #0cff00;
    font-size: 0.8em;
    font-weight: bold;
}

/*jssor slider bullet skin 032 css*/
.jssorb032 {
    position: absolute;
}
.jssorb032 .i {
    position: absolute;
    cursor: pointer;
}
.jssorb032 .i .b {
    fill: #fff;
    fill-opacity: 0.7;
    stroke: #000;
    stroke-width: 1200;
    stroke-miterlimit: 10;
    stroke-opacity: 0.25;
}
.jssorb032 .i:hover .b {
    fill: #000;
    fill-opacity: 0.6;
    stroke: #fff;
    stroke-opacity: 0.35;
}
.jssorb032 .iav .b {
    fill: #000;
    fill-opacity: 1;
    stroke: #fff;
    stroke-opacity: 0.35;
}
.jssorb032 .i.idn {
    opacity: 0.3;
}

/*jssor slider arrow skin 051 css*/
.jssora051 {
    display: block;
    position: absolute;
    cursor: pointer;
}
.jssora051 .a {
    fill: none;
    stroke: #fff;
    stroke-width: 360;
    stroke-miterlimit: 10;
}
.jssora051:hover {
    opacity: 0.8;
}
.jssora051.jssora051dn {
    opacity: 0.5;
}
.jssora051.jssora051ds {
    opacity: 0.3;
    pointer-events: none;
}

* {
    box-sizing: border-box;
}

/* Create three equal columns that floats next to each other */
.column {
    float: left;
    width: 49%;
    background-color: #fff;
    padding: 10px;
    height: 300px;
    /* Should be removed. Only for demonstration */
}

/* Clear floats after the columns */
.row:after {
    content: "";
    display: table;
    clear: both;
}

.triangulo_der{
    text-align: left;
    padding-left: 40px;
    background-image: url(images/triangle.png);
    background-repeat: no-repeat;
    background-position: center left; 
}

.custo_right{
    border-right: 15px solid #fff;
}

.custo_left{
    border-left: 15px solid #fff;
}

.sticky {
    position: fixed;
    top: 0;
    z-index: 100;
    border-top: 0;
    background-color: #fff;
    max-width: 1400px;
}
        
.mobile{
    display:none !important;
}


/* Mobile (Portrait) */
@media screen and (max-width: 1024px){
    
    .jssor_cust{
        top:-25px !important;
    }
    
    .box h3{
        margin-top:15px;
        margin-bottom:25px;
        font-size: 1.5em;
    }
    
    .row > .col-6 {
        margin-top: 15px;
    }
    
    .row > .col-12 {
        margin-top: 15px;
    }
    
    .row > .col-4 {
        margin-top: 15px;
    }
    
    .wrapper {
        padding: 5px 0 0 0;
    }
    
    .custo_col6{
        margin-top:-20px !important;
    }
    
    .custo_bottom{
        margin-bottom:15px;
    }
    
    .custo_right{
        border-right: 0;
    }

    .custo_left{
        border-left: 0;
    }
    
    .mobile{
        display:block;
    }
}

@media screen and (max-width: 1294px) {
    .custo_right{
        border-right: 0;
    }

    .custo_left{
        border-left: 0;
    }
    
    .custo_bottom{
        margin-bottom:15px !important;
    }
}

@media screen and (max-width: 1680px){
    .row > * {
        padding: 0px 0 0 25px;
    }
}

@media screen and (max-width: 840px) {
    .container {
        margin: 0 0 0 30px;
    }
}

@media screen and (max-width: 736px) {
    
    .container {
        margin: 0;
    }
}

@media screen and (min-width: 1681px) {
    .row > * {
        padding: 0px 0 0 15px;
    }
}

@media screen and (max-width: 980px) {
    
    .logo {
        margin-top: 40px;
    }
}